<?php 
//        the software is GNU licensing dependent.
//  Copyright (C) 2002,2003 Stichting schoolLAN (R), Arnhem, Netherlands

//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTLY; without even the implied warranty of
//  MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

if(($PHP_AUTH_PW) && ($PHP_AUTH_USER))
{

//lees hulpbestanden in 
include_once("./../include/xtpl.p");
include_once("./../include/path.inc");
include_once("./../include/functions.inc");
include_once("./../include/user_functions.php");
include_once("./../include/error.inc");
include_once("./../include/get_users.php"); 
 
//template aanmaken 
$xtpl = new XTemplate ("../template/gebruikers_promove.tpl"); 
$xtpl->assign("pathToFiles","../"); 

//template invullen 
	//path goedzetten 
	$path = new path(); 
	$path->addElementWithLink("../index.php","Hoofdmenu"); 
	$path->addElementWithLink("index.php","Gebruikers"); 
	$path->addElement("Promoveren"); 
	$xtpl -> assign("path",$path->getPath()); 
	$xtpl -> assign("pathWithLinks",$path->getPathWithLinks()); 
	
	//Het moet beginnen bij groep 8, dus:
if (empty($groep)){
	$groep = "8";
}

if (getPostVar("submit")) { 
 	if ($groep > 1){
		if ($groep == "8"){
			$data = GetPostVar();
			$eerstekeer = true;
			while (list($gebruikersnaam,$value) = each($data)) {
				if ($value == 'on'){
					if ($eerstekeer){
						$volnaam = getVolUsernaam($gebruikersnaam);
						
						if ($volnaam == ""){
							$volnaam = "[$gebruikersnaam]";
						}
						$eerstekeer = false; 
						$xtpl -> assign ("volnaam",$volnaam);
						$xtpl->parse("main.bevestiging.bevestiging_gebruiker");
					} else {
						$volnaam = getVolUsernaam($gebruikersnaam);
						
						if ($volnaam == ""){
							$volnaam = "[$gebruikersnaam]";
						}
						$xtpl -> assign ("volnaam",", $volnaam");
						$xtpl->parse("main.bevestiging.bevestiging_gebruiker");

					}
					RemoveUser($gebruikersnaam);
				}
			}
			$xtpl -> assign ("groep_groepsnaam",$groep);
			$xtpl->parse("main.bevestiging");
			$groep --;
		} else {
			$data = GetPostVar();
			$eerstekeer = true;
			while (list($gebruikersnaam,$value) = each($data)){
				if ($value == 'on'){
					if ($eerstekeer){
						$volnaam = getVolUsernaam($gebruikersnaam);
						
						if ($volnaam == ""){
							$volnaam = "[$gebruikersnaam]";
						}
						$eerstekeer = false; 
						$xtpl -> assign ("volnaam",$volnaam);
						$xtpl->parse("main.bevestiging.bevestiging_gebruiker");
					} else {
						$volnaam = getVolUsernaam($gebruikersnaam);
						
						if ($volnaam == ""){
							$volnaam = "[$gebruikersnaam]";
						}
						$xtpl -> assign ("volnaam",", $volnaam");
						$xtpl->parse("main.bevestiging.bevestiging_gebruiker");

					}
					mv_home($gebruikersnaam,"groep".($groep + 1),"");				
				}
			}
			$xtpl -> assign ("groep_groepsnaam",$groep);
			$xtpl->parse("main.bevestiging");
			$groep --;		
		}
 	}else{
		$data = GetPostVar();
		$eerstekeer = true;		
		while (list($gebruikersnaam,$value) = each($data)){
			if ($value == 'on'){
				if ($eerstekeer){
					$volnaam = getVolUsernaam($gebruikersnaam);
					
					if ($volnaam == ""){
						$volnaam = "[$gebruikersnaam]";
					}
					$eerstekeer = false; 
					$xtpl -> assign ("volnaam",$volnaam);
					$xtpl->parse("main.bevestiging.bevestiging_gebruiker");
				} else {
					$volnaam = getVolUsernaam($gebruikersnaam);
					
					if ($volnaam == ""){
						$volnaam = "[$gebruikersnaam]";
					}
					$xtpl -> assign ("volnaam",", $volnaam");
					$xtpl->parse("main.bevestiging.bevestiging_gebruiker");
				}
				mv_home($gebruikersnaam,"groep".($groep + 1),"");			
			}			
		}
		$xtpl -> assign ("groep_groepsnaam",$groep);
		$xtpl->parse("main.bevestiging");
		$xtpl->parse("main.promovegereed");
		$groep --;		
	}
}

if ($groep > 0){
	$aantalKolommen = 1;
	$result_get_user = getLeerlingen($groep);
	if (empty($result_get_user))
		$result_get_user[$groep] = ("");
	
	function cmp ($a,$b) {			// Een hulp-functie om de gebrukersnamen te sorteren.
		return strcmp($a[0],$b[0]);	// Als er $a[0],$b[0] staat dan wordt er gesorteerd op volnaam. Wil je op gebruikersnaam zoeken, dan moet je $a[1],$b[1] gebruiken.
	}
	
	ksort($result_get_user);
	$kolom = 0; 
	$xtpl->assign("percentage",round(100 / $aantalKolommen)); 
	foreach($result_get_user as $user){	// hier gebruiken we "each" ipv. "foreach" omdat we ook de key (de waarde uit de array, dus groepx) nodig hebben en niet alleen de value.
		$xtpl->assign("groep_groepsnaam",$groep);
	
		if (empty($user)){
			$xtpl->assign("naam","<i>- geen gebruikers -</i>");
			$xtpl->parse("main.groeppromotie.rij.groep.empty");	
		}
		else { 
			usort($user,'cmp');
			
			$xtpl->assign("naam",$user[0]);
			$xtpl->assign("groep_gebruikersnaam",$user[1]);
			$xtpl->parse("main.groeppromotie.rij.groep.user"); 
			}
		} 
		 
		$xtpl->parse("main.groeppromotie.rij.groep");		
		$kolom ++;
		if ($kolom == $aantalKolommen) {
			$xtpl->parse("main.groeppromotie.rij");
			$kolom = 0;
		}
	
	reset($result_get_user);
	$xtpl->parse("main.groeppromotie"); 	
}
//template naar browser sturen 
$xtpl->parse("main"); 
$xtpl->out("main"); 
}
?>
