<?php
//        the software is GNU licensing dependent.
//  Copyright (C) 2002,2003 Stichting schoolLAN (R), Arnhem, Netherlands

//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTLY; without even the implied warranty of
//  MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

if(($PHP_AUTH_PW) && ($PHP_AUTH_USER))
{

//lees hulpbestanden in
include_once("./../include/xtpl.p");
include_once("./../include/path.inc");
include_once("./../include/functions.inc");
include_once("./../include/user_functions.php");
include_once("./../include/error.inc");
include_once("./../include/get_users.php");

//template aanmaken
$xtpl = new XTemplate ("../template/gebruikers_verwijderen.tpl");
$xtpl->assign("pathToFiles","../");

//template invullen
	//path goedzetten
	$path = new path();
	$path->addElementWithLink("../index.php","Hoofdmenu");
	$path->addElementWithLink("index.php","Gebruikers");
	$path->addElement("Verwijderen");
	$xtpl -> assign("path",$path->getPath());
	$xtpl -> assign("pathWithLinks",$path->getPathWithLinks());

if (getPostVar("zoeken") || getGetVar("zoeken")) {
	
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam",$gebruikersnaam);
	
	$aantalKolommen = 2;
	$result_get_user = getLeerlingen(all);
	
	function cmp ($a,$b) {			// Een hulp-functie om de gebrukersnamen te sorteren.
		return strcmp($a[0],$b[0]);	// Als er $a[0],$b[0] staat dan wordt er gesorteerd op volnaam. Wil je op gebruikersnaam zoeken, dan moet je $a[1],$b[1] gebruiken.
	}
	
	ksort($result_get_user);
	$kolom = 0;
	$xtpl->assign("percentage",round(100 / $aantalKolommen));
	$groepcount = 0;
	while (list($key,$value) = each($result_get_user)) {	// hier gebruiken we "each" ipv. "foreach" omdat we ook de key (de waarde uit de array, dus groepx) nodig hebben en niet alleen de value.
		$xtpl->assign("groep_groepsnaam",substr($key,5,1));
		$groepcount ++;
		$xtpl->assign("select_groepnr",$groepcount);
		if (empty($value)){
			$xtpl->assign("naam","<i>- geen gebruikers -</i>");
			$xtpl->parse("main.zoeken.rij.groep.empty");	
		}
		else {
			$xtpl->parse("main.zoeken.rij.groep.selectgroep");	
			usort($value,'cmp');
			foreach($value as $user) {
				$xtpl->assign("naam",$user[0]);
				$xtpl->assign("groep_gebruikersnaam",$user[1]);
				$xtpl->parse("main.zoeken.rij.groep.user");
				//voor javascript
				$xtpl->assign("select_gebruikersnaam",$user[1]);
				$xtpl->parse("main.zoeken.groupjavascript.item");
			}
		}
		//voor javascript
		
		
		$xtpl->parse("main.zoeken.groupjavascript");
		
		
		$xtpl->parse("main.zoeken.rij.groep");		
		$kolom ++;
		if ($kolom == $aantalKolommen) {
			$xtpl->parse("main.zoeken.rij");
			$kolom = 0;
		}
	}
	reset($result_get_user);
	
	$users_team = getTeam();
	
	if (empty($users_team)){
		$xtpl->assign("teamlid_naam","<i>- geen leden -</i>");
		$xtpl->parse("main.zoeken.rij.team.empty");	
	} else {
		$groepcount ++;
		$xtpl->assign("select_groepnr",$groepcount);
	
		$xtpl->parse("main.zoeken.rij.team.selectgroep");
		usort($users_team,'cmp');
		foreach ($users_team as $team_user){
			$xtpl->assign("teamlid_naam",$team_user[0]);
			$xtpl->assign("teamlid_gebruikersnaam",$team_user[1]);
			$xtpl->parse("main.zoeken.rij.team.team_leden");	
			//voor javascript
			$xtpl->assign("select_gebruikersnaam",$team_user[1]);
			$xtpl->parse("main.zoeken.groupjavascript.item");
		}
	}
	//voor javascript
	$xtpl->parse("main.zoeken.groupjavascript");
		
	$xtpl->parse("main.zoeken.rij.team");
	$kolom ++;
	
	if ($kolom > 0) {
		for ($i = 1;$i <= $aantalKolommen - $kolom; $i++)
			$xtpl->parse("main.zoeken.rij.legecel");
		$xtpl->parse("main.zoeken.rij");
	}
	
	$xtpl->parse("main.zoeken");
	
} else if (getPostVar("deny")) { // maak formulier leeg en ga terug
	$xtpl->parse("main.formulier");
} else if (getPostVar("submit")) {
	
	// Eerst wat initialisaties:
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam",$gebruikersnaam);
	

	$volnaam = getVolUsernaam($gebruikersnaam);
	$xtpl -> assign ("volnaam",$volnaam);
	
	$result_ingroepen = inGroepen($gebruikersnaam);
			
	$refUserExists = isUser($gebruikersnaam);
			
	// Hier beginnen de controles:	
	// Controleer of het "Gebruikersnaam-veld" leeg is:
	if(empty($gebruikersnaam)){
		$leegveld = "gebuikersnaam";
		$xtpl -> assign ("leegveld",$leegveld);
		$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		$xtpl->parse("main.formulier.fout");

		$xtpl->parse("main.formulier");
	} 
	// Controleer of de gebruiker bestaat:
	 else if(! $refUserExists) { 
		$xtpl->parse("main.formulier.fout.refuserfout");
		$xtpl->parse("main.formulier.fout");
			
		$xtpl->parse("main.formulier");
	
	} 
	// Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	 else {	
	 	if (isTeam($gebruikersnaam)){
	 		$xtpl->parse("main.verwerk.groepen.team");	
	 	}else if (empty($result_ingroepen))
		 		$xtpl->parse("main.verwerk.groepen.geengroep");
		else {
			foreach($result_ingroepen as $groepen) {
				$xtpl->assign("groepen",$groepen);
				$xtpl->parse("main.verwerk.groepen.welgroep");
			}
		}
		$xtpl->parse("main.verwerk.groepen");			 
		$xtpl->parse("main.verwerk");
	}
} else if(getPostVar("confirm")) { // de ingevoerde gegevens zijn goedgekeurd
	//toon formulier
	$result = RemoveUser ($gebruikersnaam);
	
	if ($result) {
		$foutmelding = $errors[$result];
		$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
		$xtpl -> parse("main.confirm.foutmelding.gebruiker");
		$xtpl -> assign("foutmelding",$foutmelding);
		$xtpl -> parse("main.confirm.foutmelding");
		$xtpl->parse("main.confirm.incorrect");
	} else {
		$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
		$xtpl -> parse("main.confirm.gebruikercorrect");
		$xtpl->parse("main.confirm.correct");
	}		
	
	$xtpl->parse("main.confirm");

} else if (getPostVar("meer_verwijder")) {
	$data = getPostVar();
	while (list($gebruikersnaam,$value) = each($data)) {
		if ($value == 'on'){
			if (! preg_match("|groep[01]?[0-9]|",$gebruikersnaam)){ 
				$xtpl->assign("gebruikersnaam",$gebruikersnaam);
			
				$volnaam = getVolUsernaam($gebruikersnaam);
				$xtpl -> assign ("volnaam",$volnaam);
				
				$xtpl->parse("main.confirm.bevestig.gebruiker");
				$xtpl->parse("main.confirm.bevestig.hidden");
			}
		}
	}
	$xtpl->parse("main.confirm.bevestig");
	$xtpl->parse("main.confirm");
} else if (getPostVar("confirm_meer_verwijder")) {
	
		$data = getPostVar();
	
	$error = false;
	while (list($gebruikersnaam,$value) = each($data)) {
		if ($value == 'on'){
			//$result = RemoveUser ($gebruikersnaam);
			if ($result) {
				$error = true;
				$foutmelding = $errors[$result];
				$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
				$xtpl -> parse("main.confirm.foutmelding.gebruiker");
				$xtpl -> assign("foutmelding",$foutmelding);
				$xtpl -> parse("main.confirm.foutmelding");
				
			} else {
				$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
				$xtpl -> parse("main.confirm.gebruikercorrect");
				
			}
		
		if ($error)
				$xtpl -> parse("main.confirm.incorrect");
			else
				$result = RemoveUser ($gebruikersnaam);
				$xtpl->parse("main.confirm");
				$redirect=1;
					
		}
		if ($redirect==1){
			$redirect=0;
			$xtpl -> parse("main.confirm.correct");
			}
	}
	
} else { // default
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam",$gebruikersnaam);
	$xtpl->parse("main.formulier");
}
	
//template naar browser sturen
$xtpl->parse("main");
$xtpl->out("main");
}
?>
