<?php
//        the software is GNU licensing dependent.
//  Copyright (C) 2002,2003 Stichting schoolLAN (R), Arnhem, Netherlands

//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTLY; without even the implied warranty of
//  MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/*Include de standaard functies*/
include_once ("./../include/functions.inc");

function edit_zipwin($imagenaam, $fabrikant) {
	//Zet de rechten van de file correct
	
	exec ("sudo chmod 777 /tftpboot/mrzip/utils/zipwin.mrz",$result,$returnvar);
   
   	if ($returnvar) {   	
   	       //De functie was niet succesvol, hij returnde 1.    	 	
   		return 14;   	
		exit;
   	}
	
	//Lees de file in
	$filename = "/tftpboot/mrzip/utils/zipwin.mrz";
	$fp = fopen ($filename,"r");
	$contents = fread ($fp, filesize ($filename));
	fclose ($fp);
	$contents = explode("\n", $contents);
	
	
	//We schrijven alles terug
	$fp = fopen ($filename,"w");
	for ($i=0;$i<sizeof($contents);$i++){
		if (substr($contents[$i],0,7)=="fullzip") 
		  fwrite ($fp,"fullzip \"c:/\" \"H:/tftpboot/win98/".$fabrikant."/".$imagenaam.".imz\"\n");  
		else
		 fwrite ($fp,$contents[$i]."\n");
		
		 
	}
	fclose($fp);
	return 0;
}

function imageGrootte($imagenaam,$fabrikant) {
  $filenaam = "/tftpboot/win98/".$fabrikant."/".$imagenaam.".im";

  if (file_exists($filenaam."z"))
   $grootte = filesize($filenaam."z");
  else 
    return 0;

  for ($i=1;file_exists ($filenaam.$i);$i++){
    $grootte+=filesize($filenaam.$i);
  }
  return round(($grootte/(1024*1024))*1.25);
}/*imageGrootte*/


function editSizes ($imagenaam, $fabrikant) {
  $grootte = imageGrootte($imagenaam, $fabrikant);
  if (!($grootte))
    return 16;
    
  //Lees de file in
  //$filename = "/tftpboot/win98/".$fabrikant."/".$imagenaam."/sizes.bpb";
  $filename = "/tftpboot/win98/".$fabrikant."/sizes.bpb";
  //$filename = "/tftpboot/win98/share/sizes.bpb";
  $fp = fopen ($filename,"w");
	$contents = fread ($fp, filesize ($filename));
	fclose ($fp);
	$contents = explode("\n", $contents);
	
	
	//We schrijven alles terug
	exec ("sudo chmod 777 /tftpboot/win98/".$fabrikant."/sizes.bpb");
	$fp = fopen ($filename,"w");
	for ($i=0;$i<sizeof($contents);$i++){
		if (substr($contents[$i],0,10)=="set csizes") 
		  fwrite ($fp,"set csizes = ".$grootte."\n");
		 else
		 fwrite ($fp,$contents[$i]."\n");		 

	}
	fclose($fp);
	return 0;

}/*editSizes*/

function maakImageDir($imagenaam,$fabrikant) {
	if (!(is_dir("/tftpboot/win98/".$fabrikant))) {
	  //Deze directorie bestaat nog niet, dus de directorie wordt aangemaakt
  	  exec ("sudo mkdir /tftpboot/win98/".$fabrikant,$result,$returnvar);   
   	  
	  if ($returnvar) {   	
   	    //De functie was niet succesvol, hij returnde 1.    	 	
   	    return 15;   	
	    exit;
   	  }
	  exec ("sudo chmod 777 /tftpboot/win98/".$fabrikant,$result,$returnvar);   
          if ($returnvar) {   	
   	    //De functie was niet succesvol, hij returnde 1.    	 	
   	    return 15;   	
	    exit;
   	  }
	}
	if (!(is_dir("/tftpboot/win98/".$fabrikant."/".$imagenaam))) {
	//if (!(is_dir("/tftpboot/win98/".$fabrikant))) 
	  //Deze directorie bestaat nog niet, dus de directorie wordt aangemaakt
  	   exec ("sudo mkdir /tftpboot/win98/".$fabrikant."/".$imagenaam,$result,$returnvar);   
	  //exec ("sudo mkdir /tftpboot/win98/".$fabrikant,$result,$returnvar);   
   	  if ($returnvar) {   	
   	    //De functie was niet succesvol, hij returnde 1.    	 	
   	    return 15;   	
	    exit;
   	  }
	  exec ("sudo chmod 777 /tftpboot/win98/".$fabrikant."/".$imagenaam,$result,$returnvar);   
   	  //exec ("sudo chmod 777 /tftpboot/win98/".$fabrikant,$result,$returnvar);   
          if ($returnvar) {   	
   	    //De functie was niet succesvol, hij returnde 1.    	 	
   	    return 15;   	
	    exit;
   	  }
	} 
	
	else {
	  //Zowel de fabrikant als de imagenaam bestaan al... dat kan dus niet
	    return 17;
	}
	return 0;
}

?>
