<?php

include_once("../include/internet/dansguardian_manager.inc");
include_once("../include/internet/squid_manager.inc");
include_once("../include/internet/squirm_manager.inc");
class install_manager
{
 var $dgman; //dansguardian manager
 var $sqdman; //squid manager
 var $sqmman; //squirm manager
 function init()
 {
  $this->dgman= new dansguardian_manager;
  $this->sqdman= new squid_manager;
  $this->sqmman= new squirm_manager;
  $this->dgman->init();
  $this->sqdman->init();
  $this->sqmman->init();
 }

// squirm -> dansguardian stuff
function read_squirm_config()
{
	$this->sqmman->leesconfig();
	for ($i=0; $i <= $this->sqmman->getsize_squirm(); $i++)
		{
			 $this->dgman-> add_expression($this->sqmman->geturl_squirm($i),"squirm");  
		}
}


//squid dingetjes
 function get_authenticate()
 {
   return $this->sqdman->get_authenticate();
 }

 function set_authenticate($bool)
 {
  $this->sqdman->set_authenticate($bool);
 }
 function sqd_get_proxyport()
 {
   return $this->sqdman->get_proxyport();
 }

 function sqd_set_proxyport($port)
 {
  $this->sqdman->set_proxyport($port);
 }



//squirm dingetjes
 
 function sqm_last()
 {
 $this->sqmman->last();
 } 

 function sqm_leesconfig()
 {
 $this->sqmman->leesconfig();
 }

 function getsize_squirm()
 {
  return $this->sqmman->get_size();
 }

 function geturl_squirm($number)
 {
  return $this->sqman->get_url($number);
 }

//dansguardian dingetjes
 function dgm_aantal_users()
{
 return $this->dgman->aantal_users();
}

function dgm_del_user($person)
{
 $this->dgman->del_user($person);
}
 function dgm_get_type($positie){
  return $this->dgman->get_type($positie);
 }

function dgm_get_user($id)
{
return $this->dgman->get_user($id);
}

function dgm_add_user($user,$evil)
{
 $this->dgman->add_user($user,$evil);
}

function dgm_add_expression($expression,$soort)
{
 $this->dgman->add_expression($expression,$soort);
}

function dgm_read_users()
{
 $this->dgman->read_users();
}

function dgm_write_users()
{
  $this->dgman->write_users();
}

function dgm_get_proxyport()
{
return $this->dgman->get_proxyport();
}

function dgm_get_filterport()
{
return $this->dgman->get_filterport();
}
function dgm_set_proxyport($filterport,$proxyport)
{
$this->dgman->set_proxyport($filterport,$proxyport);
}


}

?>
