<?
include_once("../include/internet/urls.inc");
class squid
{
var $url;
var $prefixes;
var $pre_pos=0;
var $config;
var $conf_pos=0;
// two variables below needed for squid authentication
var $acl=0;
var $http_access=0;
 function init()
 {
  $this->url=new urls;
 }
 function add_prefix($prefix)
 {
  $this->prefixes[$this->pre_pos] =$prefix;
  $this->pre_pos++;
 }
 function get_prefix($positie)
 {
 return  $this->prefixes[$positie] ;
 }
 function get_aantal()
 {
 return  $this->pre_pos;
 }
// onderstaande drie om configuratie van squid in een array te zetten
 function addconf($config)
 {
  $this->config[$this->conf_pos] =$config;
  $this->conf_pos++;
 }
 function cleanconf()
 {
 for ($i=0; $i <=  $this->conf_pos; $i++)
  $this->config[$i] ="";
 $this->conf_pos=0;
 }
 function getconf($positie)
 {
 return  $this->config[$positie] ;
 }
 function getconf_aantal()
 {
 return  $this->conf_pos;
 }

 function get_authenticate()
 {
// Onderstaan regels heb je nodig voor authentication in squid.
// authenticate_program /usr/local/bin/smb_auth -W DOMAIN -U 192.168.0.2  -S proxy 
// acl domainusers proxy_auth REQUIRED
// bovenstaande bij de acls onderstaande bij de access.
// http_access allow domainusers
// http_access deny all
 $fp1=fopen("/etc/squid/squid.conf","r");
 $lees=fgets($fp1,1024); 
 $auth=0;
 while (!feof($fp1))
 {
  if (!((substr($lees,0,1) == "#" ||substr($lees,0,1) ==" " ||strlen($lees) < 2)))
  {
   if (strstr($lees, "authenticate_program"))
   {
     $auth=1;
   } 
  }
  $lees=fgets($fp1,1024);
 }
 fclose($fp1);
 return $auth;
 }

 function get_proxyport()
 {
 // krijg de proxy port binnen van squid configuratie file
 $fp1=fopen("/etc/squid/squid.conf","r");
 $lees=fgets($fp1,1024); 
 
 while (!feof($fp1))
 {
  if (!((substr($lees,0,1) == "#" ||substr($lees,0,1) ==" " ||strlen($lees) < 2)))
  {
   if (strstr($lees, "http_port"))
   {
    $port=split(" ",$lees);
   } 
  }
  $lees=fgets($fp1,1024);
 }
 fclose($fp1);
 return $port[1];
 }

function leesdomain()
{
// lees workgroup uit samba en return de inhoud
 $fp1=fopen("/etc/samba/smb.conf","r");
 $lees=fgets($fp1,1024);
 while (!feof($fp1))
 {
  if ((strstr($lees,"workgroup"))&&(!(strstr($lees,"#"))))
  {
   $delen= split ("=",$lees);
   $delen= split ("\n",$delen[1]);
  }
  $lees=fgets($fp1,1024);
 }
 return $delen[0]; 
 fclose($fp1);
}

 function set_authenticate($bool)
 {
 $this->cleanconf();
// $bool 1 is wordt authentication aan gezet anders uit
// Onderstaan regels heb je nodig voor authentication in squid.
// authenticate_program /usr/bin/local/smb_auth -W DOMAIN -U 192.168.0.2  -S proxy 
// acl domainusers proxy_auth REQUIRED
// bovenstaande bij de acls onderstaande bij de access.
// http_access allow domainusers
// http_access deny all
 if ($bool != $this->get_authenticate()) 
// zorgt er voor dat je authentication niet kan zetten als die al aangezet is
 {
 $fp1=fopen("/etc/squid/squid.conf","r");
 $lees=fgets($fp1,1024); 
 while (!feof($fp1))
 {
  if (!((substr($lees,0,1) == "#" ||substr($lees,0,1) ==" " ||strlen($lees) < 2)))
  {
  if ($bool ==1)
  {
   if ((strstr($lees, "acl")))// ||(strstr($lees, "authenticate_program")))
   {
    if ($acl==1)
    {  
     $this->addconf("authenticate_program /usr/local/bin/smb_auth -W ".$this->leesdomain()." -U 192.168.168.2  -S proxy \n");
     $this->addconf("acl domainusers proxy_auth REQUIRED\n");
    } 
    $acl++;
   } 
   if (strstr($lees, "http_access"))
   {
    if ($http_access==0)
    {
     $this->addconf("http_access allow domainusers\n");
     $this->addconf("http_access deny all\n");
    }
   
   $http_access++;
   }
   $this->addconf($lees);
  }
  else
  {
  // bool == 0
   if (!(strstr($lees, "authenticate_program") || strstr($lees, "acl domainusers proxy_auth REQUIRED") ||strstr($lees, "http_access allow domainusers") ||strstr($lees,"http_access deny all")))
 {
  $this->addconf($lees);
 } 
  }
  }
  else
  {
   $this->addconf($lees);
  }

  $lees=fgets($fp1,1024);
 }
 fclose($fp1);
 exec("sudo /home/httpd/giplan/scripts/internet/squid.pre.config.sh");
 $fp1=fopen("/etc/squid/squid.conf","w");
 for ($i=0;$i<$this->getconf_aantal();$i++)
  {
  fwrite($fp1,$this->getconf($i));   
  // echo $this->getconf($i)."<BR>";
  }
 fclose($fp1); 
 exec("sudo /home/httpd/giplan/scripts/internet/squid.post.config.sh");
 }// einde authorisation check check
 }


 function set_proxyport($port)
 {
 $this->cleanconf();
// $bool 1 is wordt authentication aan gezet anders uit
// Onderstaan regels heb je nodig voor authentication in squid.
// authenticate_program /usr/bin/local/smb_auth -W DOMAIN -U 192.168.0.2  -S proxy 
// acl domainusers proxy_auth REQUIRED
// bovenstaande bij de acls onderstaande bij de access.
// http_access allow domainusers
// http_access deny all
// zorgt er voor dat je authentication niet kan zetten als die al aangezet is

 if ($this->get_proxyport() != $port)
 {
	 $fp1=fopen("/etc/squid/squid.conf","r");
	 $lees=fgets($fp1,1024);
	 while (!feof($fp1))
 	 {
		  if (!((substr($lees,0,1) == "#" ||substr($lees,0,1) ==" " ||strlen($lees) < 2)))
 		 {
 			  if ((strstr($lees, "http_port")))
 		 	 {
  		 		$lees = "http_port ".$port."\n";
  			 }
  			 $this->addconf($lees);
 		 }
 		else
  		{
 			 $this->addconf($lees);
  		}
	 $lees=fgets($fp1,1024);
 	}
 fclose($fp1);
 exec("sudo /home/httpd/giplan/scripts/internet/squid.pre.config.sh");
 $fp1=fopen("/etc/squid/squid.conf","w");
 for ($i=0;$i<$this->getconf_aantal();$i++)
  {
  fwrite($fp1,$this->getconf($i));   
  // echo $this->getconf($i)."<BR>";
  }
 fclose($fp1); 
 exec("sudo /home/httpd/giplan/scripts/internet/squid.post.config.sh");
 } // einde proxy check  
}// einde proxy functie

}
?>
