<?php

//        the software is GNU licensing dependent.
//  Copyright (C) 2002,2003 Stichting schoolLAN (R), Arnhem, Netherlands

//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTLY; without even the implied warranty of
//  MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

if(($PHP_AUTH_PW) && ($PHP_AUTH_USER))
{

//lees hulpbestanden in
include_once("./../include/xtpl.p");
include_once("./../include/path.inc");
include_once("./../include/functions.inc");
include_once("./../include/refill_form.inc");
include_once("./../include/user_functions.php");
include_once("./../include/error.inc");
include_once("./../include/get_users.php");

//template aanmaken
$xtpl = new XTemplate ("../template/gebruikers_aanmaken.tpl");
$xtpl->assign("pathToFiles","../");

//template invullen
	//path goedzetten
	$path = new path();
	$path->addElementWithLink("../index.php","Hoofdmenu");
	$path->addElementWithLink("index.php","Gebruikers");
	$path->addElement("Aanmaken (handmatig)");
	$xtpl -> assign("path",$path->getPath());
	$xtpl -> assign("pathWithLinks",$path->getPathWithLinks());

// Als de gebruiker niet de referentie-leerling wilt, dan kan hij op de zoek-knop drukken. Hieronder wordt dan het scherm met alle huidige users per groep getoond.


if (getPostVar("zoeken")) {
	$voornaam = getPostVar('voornaam');
	$xtpl -> assign ("voornaam",$voornaam);
	
	$tussenvoegsel = getPostVar('tussenvoegsel');
	$xtpl -> assign ("tussenvoegsel",$tussenvoegsel);
	
	$achternaam = getPostVar('achternaam');
	$xtpl -> assign ("achternaam",$achternaam);
	
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam",$gebruikersnaam);
	
	$gebruikersnaam = getPostVar('wachtwoord');
	$xtpl -> assign ("wachtwoord",$wachtwoord);
	
	$groep = getPostVar('groep');
	$xtpl -> assign ("groep",$groep);
	
	$aantalKolommen = 2;
	$xtpl->assign("percentage",round(100 / $aantalKolommen));
	$result_get_user = getLeerlingen(all);
	function cmp ($a,$b) {			// Een hulp-functie om de gebruikersnamen te sorteren.
		return strcmp($a[0],$b[0]);	// Als er $a[0],$b[0] staat dan wordt er gesorteerd op volnaam. Wil je op gebruikersnaam zoeken, dan moet je $a[1],$b[1] gebruiken.
	}
	
	ksort($result_get_user);
	$kolom = 0;
	while (list($key,$value) = each($result_get_user)) {	// hier gebruiken we "each" ipv. "foreach" omdat we ook de key (de waarde uit de array, dus groepx) nodig hebben en niet alleen de value.
		$xtpl->assign("groep_groepsnaam",substr($key,5,1));
		if (empty($value)){
			$xtpl->assign("naam","<i>- geen gebruikers -</i>");
			$xtpl->parse("main.zoeken.rij.groep.empty");	
		}
		else {
			usort($value,'cmp');
			foreach($value as $user) {
				$xtpl->assign("naam",$user[0]);
				$xtpl->assign("groep_gebruikersnaam","$user[1]");
				$xtpl->parse("main.zoeken.rij.groep.user");
			}
		}
		$xtpl->parse("main.zoeken.rij.groep");		
		$kolom ++;
		if ($kolom == $aantalKolommen) {
			$xtpl->parse("main.zoeken.rij");
			$kolom = 0;
		}
	}
	reset($result_get_user);
	
	$users_team = getTeam();
	
	if (empty($users_team)){
		$xtpl->assign("teamlid_naam","<i>- geen leden -</i>");
		$xtpl->parse("main.zoeken.rij.team.empty");	
	}
	else{
		usort($users_team,'cmp');
		foreach ($users_team as $team_user){
			$xtpl->assign("teamlid_naam",$team_user[0]);
			$xtpl->assign("teamlid_gebruikersnaam",$team_user[1]);
			$xtpl->parse("main.zoeken.rij.team.team_leden");	
		}
	}	
	$xtpl->parse("main.zoeken.rij.team");
	$kolom ++;
	
	if ($kolom > 0) {
		for ($i = 1;$i <= $aantalKolommen - $kolom; $i++)
			$xtpl->parse("main.zoeken.rij.legecel");
		$xtpl->parse("main.zoeken.rij");
	}
	// $z is de teller die als volgt deze bijhoud: wanneer er op  referentie leerling geklikt is, wordt de pagina doorgelinkt naar de main forum wordt.
	$z=1;
					
	$xtpl -> assign ("groep",$groep);
	$xtpl -> assign ("referentie",$referentie);
	if ($groep != "team"){
		$xtpl->parse("main.zoeken");
	}

	else{
		//RefillForm();
		//$xtpl->parse("main.formulier.fout.team");
	
		
		$xtpl->parse("main.formulier.fout.team");
		$xtpl->parse("main.formulier.fout");
		$xtpl->parse("main.formulier");
		
		}
	
}

 else if (getPostVar("deny")) {
	$z=1;
	RefillForm();
	$xtpl->parse("main.formulier");
} else if (getPostVar("confirm")) {
	$z=1;
	if ($tussenvoegsel!="") {
		$tussenvoegsel .= " ";
	}
	$volnaam = $voornaam." ".$tussenvoegsel.$achternaam; //Hier worden de afzonderlijk ingevoerde naams-gegevens aan elkaar geconcateneerd
	
	if ($groep == "team")	
		$referentie_groep = substr($referentie, 19);  // filter team uit de variabele "referentie"
	else	
		$referentie_groep = substr($referentie, 15);  // filter de groep uit de variabele "referentie"
			
	if ($groep == $referentie_groep)
		$ref_leerling = "";	// dan willen ze de standaard-referentie, dus $ref_leerling is dan leeg
	else if ("Referentie van het team" == $referentie)
		$ref_leerling = "groep0";
	else if (eregi("^referentie van groep",$referentie))
		$ref_leerling = substr($referentie, 15);
	else
		$ref_leerling = $referentie;	// dan willen ze een speciale ref-leerling

	$groep = str_replace(" ","",$groep);  // Dit is om ervoor te zorgen dat de variabele niet "groep x" is, maar "groepx". Dit heeft het script nl. nodig, maar "groep x" is voor het printen op het scherm.

	$result = CreateUser ($ref_leerling,$gebruikersnaam,$groep,$volnaam,$wachtwoord);
		
	if ($result) {
		$foutmelding = $errors[$result];
		$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
		$xtpl -> parse("main.confirm.foutmelding.gebruiker");
		$xtpl -> assign("foutmelding",$foutmelding);
		$xtpl -> parse("main.confirm.foutmelding");
		$xtpl->parse("main.confirm.incorrect");
	}
	else{
		$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
		$xtpl -> parse("main.confirm.gebruikercorrect");
		$xtpl->parse("main.confirm.correct");
	}
	
	
	$xtpl->parse("main.confirm");
} 
	
	else if (getPostVar("submit")) {
	$z=1;
	
	$voornaam = getPostVar('voornaam');
	$xtpl -> assign ("voornaam",$voornaam);
	
	$tussenvoegsel = getPostVar('tussenvoegsel');
	$xtpl -> assign ("tussenvoegsel",$tussenvoegsel);
	
	$achternaam = getPostVar('achternaam');
	$xtpl -> assign ("achternaam",$achternaam);
	
	if ($tussenvoegsel!="") {
		$tussenvoegsel .= " ";
	}
	$volnaam = $voornaam." ".$tussenvoegsel.$achternaam;
	$xtpl -> assign ("volnaam",$volnaam);
	
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam",$gebruikersnaam);
	
	$wachtwoord = getPostVar('wachtwoord');
	$xtpl -> assign ("wachtwoord",$wachtwoord);
	
	$groep = getPostVar('groep');
	$xtpl -> assign ("groep",$groep);
	
	$referentie = getPostVar('referentie');
	$xtpl -> assign ("referentie",$referentie);
	

	// Hier beginnen de controles:
		if ($groep == "team")	
			$referentie_groep = substr($referentie, 19);  // filter team uit de variabele "referentie"
		else	
			$referentie_groep = substr($referentie, 15);  // filter de groep uit de variabele "referentie"
				
		if ($groep == $referentie_groep)
			$ref_leerling = "";	// dan willen ze de standaard-referentie, dus $ref_leerling is dan leeg
		else if ("Referentie van het team" == $referentie)
			$ref_leerling = "groep0";
		else if (eregi("^referentie van groep",$referentie))
			$ref_leerling = substr($referentie, 15);
		else
			$ref_leerling = $referentie;	// dan willen ze een speciale ref-leerling
		if ($ref_leerling == '')
			$refUserExists = true;
		else
			$refUserExists = isUser($ref_leerling); 
		
	
	if (   (empty($voornaam)) || (empty($achternaam)) || (empty($gebruikersnaam)) 
	    || (strlen($wachtwoord) < 6) || (preg_match("|[ !@#$%^&*()]|i",$gebruikersnaam))
	    || (preg_match("(groep)",$gebruikersnaam)) || (preg_match("([A-Z]+)",$gebruikersnaam)) || ! $refUserExists) {
	
		$xtpl->parse("main.formulier.fout.alertlogo");
					
		// Controleer of wachtwoord tussen 6 en 8 tekens lang is:
		if (strlen($wachtwoord) < 6){
			$xtpl->parse("main.formulier.fout.wachtwoordlengtefout");	
		}
		
		// Controleer of de gebruikersnaam geen ongewenste tekens bevat:
		if (preg_match("|[ !@#$%^&*()]|i",$gebruikersnaam)){
			$xtpl->parse("main.formulier.fout.gebruikersnaamfout");	
		}
		////// de gebruikersnaam moet geen groep bevatten.
		if (preg_match("(groep)",$gebruikersnaam)){
			$xtpl->parse("main.formulier.fout.gebruikersnaamfout");	
		}
		if (preg_match("([A-Z]+)",$gebruikersnaam)){
			$xtpl->parse("main.formulier.fout.hoofdletterfout");	
		}
		
		// Conroleers of alle verplichte velden zijn ingevoerd:
			// Tussenvoegsels zijn optioneel, groep en referentie hebben per default al een waarde 
			// en de wachtwoordlengte wordt elders gecontroleerd, dus dit hoeft niet hieronder.
			
		// Controleer of het "Voornaam-veld" leeg is:
		if(empty($voornaam)){
			$leegveld = "voornaam";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		}

		// Controleer of het "Achternaam-veld" leeg is:		
		if(empty($achternaam)){
			$leegveld = "achternaam";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		}
		
		// Controleer of het "Gebruikersnaam-veld" leeg is:
		if(empty($gebruikersnaam)){
			$leegveld = "gebuikersnaam";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		}
		
		if (! $refUserExists) {
			$xtpl->parse("main.formulier.fout.refuserfout");
		}
		
		$xtpl->parse("main.formulier.fout");
		
		RefillForm();
		$xtpl->parse("main.formulier");
	}
	
	else if($groep == "groep "."1"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."2"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."3"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."4"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."5"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."6"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."7"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."8"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
	else if($groep == "groep "."9"){
	//Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
	$xtpl->parse("main.verwerk");
	}
		
	//als groep gelijk aan team is dan word er een aparte pagina geopend om de keuze over meerdere
	//groepen toegevoegd te kunnen worden als teamlid.

}	
	if ($groep == "team"){
	$z=1;
		if ($status == "test" ){
		if ($cgroep != "" ){
		$dgroep = implode(",",$cgroep);
		$groep=("team,".$dgroep);
		}
	
			$xtpl -> assign ("voornaam",$voornaam);
			$xtpl -> assign ("tussenvoegsel",$tussenvoegsel);
			$xtpl -> assign ("achternaam",$achternaam);
			if ($tussenvoegsel!="") {
			$tussenvoegsel .= " ";}
			$volnaam = $voornaam." ".$tussenvoegsel.$achternaam;
			$xtpl -> assign ("volnaam",$volnaam);
			$xtpl -> assign ("gebruikersnaam",$gebruikersnaam);
			$xtpl -> assign ("wachtwoord",$wachtwoord);
			$xtpl -> assign ("groep",$groep);
			$xtpl -> assign ("referentie",$referentie);		
			
			$xtpl->parse("main.verwerk");
			
		}
			
	else{
	for ($g=1; $g < 9; $g++){
		$xtpl->assign("cgroep",$cgroep);
		$xtpl->assign("g",$g);
		$xtpl->parse("main.test.checkbox");
		}
		if (   (empty($voornaam)) || (empty($achternaam)) || (empty($gebruikersnaam)) 
		|| (strlen($wachtwoord) < 6) 
		|| (preg_match("|[ !@#$%^&*()]|i",$gebruikersnaam)) 
		|| (preg_match("(groep)",$gebruikersnaam)) || (preg_match("([A-Z]+)",$gebruikersnaam)) || ! $refUserExists) {
	
		$xtpl->parse("main.formulier.fout.alertlogo");
					
		// Controleer of wachtwoord tussen 6 en 8 tekens lang is:
		if (strlen($wachtwoord) < 6){
			$xtpl->parse("main.formulier.fout.wachtwoordlengtefout");	
		}
		
		// Controleer of de gebruikersnaam geen ongewenste tekens bevat:
		if (preg_match("|[ !@#$%^&*()]|i",$gebruikersnaam)){
			$xtpl->parse("main.formulier.fout.gebruikersnaamfout");	
		}
		if (preg_match("(groep)",$gebruikersnaam)){
			$xtpl->parse("main.formulier.fout.gebruikersnaamfout");	
		}
		if (preg_match("([A-Z]+)",$gebruikersnaam)){
			$xtpl->parse("main.formulier.fout.hoofdletterfout");	
		}
		
		// Conroleers of alle verplichte velden zijn ingevoerd:
			// Tussenvoegsels zijn optioneel, groep en referentie hebben per default al een waarde 
			// en de wachtwoordlengte wordt elders gecontroleerd, dus dit hoeft niet hieronder.
			
		// Controleer of het "Voornaam-veld" leeg is:
		if(empty($voornaam)){
			$leegveld = "voornaam";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		}

		// Controleer of het "Achternaam-veld" leeg is:		
		if(empty($achternaam)){
			$leegveld = "achternaam";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		}
		
		// Controleer of het "Gebruikersnaam-veld" leeg is:
		if(empty($gebruikersnaam)){
			$leegveld = "gebuikersnaam";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		}
		//if  (ereg("^[ZA-Z]$",$gebruikersnaam)){
		//	$xtpl->parse("main.formulier.fout.gebruikersnaamfout");
		//}
		if (! $refUserExists) {
			$xtpl->parse("main.formulier.fout.refuserfout");
		}
		
		$xtpl->parse("main.formulier.fout");
		
	}
			
		else{
		$xtpl->parse("main.test");
		}
	}

	$xtpl -> assign ("groep",$groep);	
}

if ($groep == ""){
	$z=1;
	//toon formulier
	RefillForm();
	$xtpl->parse("main.formulier");
	}
	
//else if (($groep != "") && ($referentie != "")){
if ( $z == 0 ){
	RefillForm();
	$xtpl->parse("main.formulier");
	$z=0;
	}

	//template naar browser sturen

$xtpl->parse("main");
$xtpl->out("main");
}
?>
