<?php

//lees hulpbestanden in
include_once("./../include/xtpl.p");
include_once("./../include/path.inc");
include_once("./../include/functions.inc");
include_once("./../include/user_functions.php");
include_once("./../include/error.inc");
include_once("./../include/get_users.php");
include_once("./../include/batch.inc");

//template aanmaken
$xtpl = new XTemplate ("../template/gebruikers_aanmaken_batch.tpl");
$xtpl->assign("pathToFiles","../");

//template invullen
	//path goedzetten
	$path = new path();
	$path->addElementWithLink("../index.php","Hoofdmenu");
	$path->addElementWithLink("index.php","Gebruikers");
	$path->addElement("Aanmaken (bestand)");
	$xtpl -> assign("path",$path->getPath());
	$xtpl -> assign("pathWithLinks",$path->getPathWithLinks());

if (GetPostVar("submit")) {
	$fileinfo = getFileVar("batchfile");
	
	if ($fileinfo[tmp_name] == "none"){
		$xtpl -> assign("fout","Geen bestand geselecteerd!");
	 	$xtpl -> parse("main.formulier.fout.batchfout");
	 	$xtpl -> parse("main.formulier.fout");
	 	$xtpl -> parse("main.formulier");   
	} else {
		$file = @file($fileinfo[tmp_name]);	
		$format = explode(",",$file[0]);
		
		if (! (trim($format[0]) == "gebruikersnaam" ||
		       trim($format[0]) == "naam" ||
		       trim($format[0]) == "wachtwoord" ||
		       trim($format[0]) == "groep" ||
		       trim($format[0]) == "referentie" )) {
		 	$xtpl -> assign("fout",$errors[13]);
		 	$xtpl -> parse("main.formulier.fout.batchfout");
		 	$xtpl -> parse("main.formulier.fout");
		 	$xtpl -> parse("main.formulier");      	
		} else {
			$res = readBatch($fileinfo[tmp_name]);
														
			if (is_array($res)) {
				foreach($res as $entry) {
					//hier gegevens parsen
					$xtpl -> assign("gebruikersnaam",$entry[gebruikersnaam]);
					$xtpl -> assign("naam",$entry[naam]);
					$xtpl -> assign("wachtwoord",$entry[wachtwoord]);
					$xtpl -> assign("groep",$entry[groep]);
					$xtpl -> assign("referentie",$entry[referentie]);
					
					//hier gegevens controleren
					if ($entry[referentie] == '')
						$refUserExists = true;
					else
						$refUserExists = isUser($entry[referentie]); 
						
					if (   empty($entry[naam]) || empty($entry[gebruikersnaam]) 
					    || (strlen($entry[wachtwoord]) < 6) 
					    || (substr_count($entry[gebruikersnaam], " ") >= 1) 
					    || preg_match("|[ !@#$%^&*()]|i",$entry[gebruikersnaam])
					    || ! $refUserExists) {
	
						// Controleer of wachtwoord tussen 6 en 8 tekens lang is:
						if (strlen($entry[wachtwoord]) < 6) {
							$xtpl->parse("main.submit.gebruiker.wachtwoordfout1");
							$xtpl->parse("main.submit.gebruiker.wachtwoordfout2");
						}
	
	
						// Controleer of de gebruikersnaam geen ongewenste tekens bevat:
						if (preg_match("|[ !@#$%^&*()]|i",$entry[gebruikersnaam])) {
							$xtpl->parse("main.submit.gebruiker.gebruikersnaamfoutteken1");
							$xtpl->parse("main.submit.gebruiker.gebruikersnaamfoutteken2");
						}
						
							
						// Controleer of het naam-veld leeg is:
						if(empty($entry[naam])){
							$xtpl->parse("main.submit.gebruiker.naamfout1");
							$xtpl->parse("main.submit.gebruiker.naamfout2");
						}
									
						// Controleer of het "Gebruikersnaam-veld" leeg is:
						if(empty($entry[gebruikersnaam])){
							$xtpl->parse("main.submit.gebruiker.gebruikersnaamleegfout1");
							$xtpl->parse("main.submit.gebruiker.gebruikersnaamleegfout2");
						}
						
						// Controleer of groep correct is:
						if (! ($entry[groep] == "team" || preg_match("|^groep[0-9]$|i",$entry[groep]))) {
							$xtpl->parse("main.submit.gebruiker.groepfout1");
							$xtpl->parse("main.submit.gebruiker.groepfout2");
						}
											
						if (! $refUserExists) {
							$xtpl->parse("main.submit.gebruiker.referentiefout1");
							$xtpl->parse("main.submit.gebruiker.referentiefout2");
						}				
					}
					
					$xtpl -> parse("main.submit.gebruiker");
					$xtpl -> parse("main.submit.hidden_gebruikerdata");
				}	
				
				$xtpl -> parse("main.submit");		
			 } else {
			 	$error = $errors[$res];
			 	$xtpl -> assign("fout",$error);
			 	$xtpl -> parse("main.formulier.fout.batchfout");
			 	$xtpl -> parse("main.formulier.fout");
			 	$xtpl -> parse("main.formulier");
			 }
		}
	}
	
} else if (getPostVar("deny")) {
	$xtpl->parse("main.formulier");
} else if (getPostVar("confirm")) {
	$referentie = getPostVar('referentie');
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$groep = getPostVar('groep');
	$naam = getPostVar('naam');
	$wachtwoord = getPostVar('wachtwoord');
	
	$allesgoed = true;
	$indexed = false;
	for ($i = 0; $i < count(getPostVar('gebruikersnaam')); $i++) {
		
		$result = CreateUser ($referentie[$i],
				      $gebruikersnaam[$i],
				      $groep[$i],
				      $naam[$i],
				      $wachtwoord[$i]
				     );
				
		if ($result) {
			$allesgoed = false;
			$foutmelding = $errors[$result];
			$xtpl -> assign("gebruikersnaam",$gebruikersnaam[$i]);
			$xtpl -> parse("main.confirm.foutmelding.gebruiker");
			$xtpl -> assign("foutmelding",$foutmelding);
			$xtpl -> parse("main.confirm.foutmelding");;
		} else {
			//gebruikersnaam bepalen (kan een index-cijfer achter gezet zijn
			$nieuwegebruikersnaam = getCreatedUsername();
	
			if (trim($nieuwegebruikersnaam) != '' && $nieuwegebruikersnaam != $gebruikersnaam[$i]) {
				$gebruikersnaam[$i] = $nieuwegebruikersnaam;
				$indexed = true;
			}
			$nieuwegebruikersnaam = '';
			
			$xtpl -> assign("gebruikersnaam",$gebruikersnaam[$i]);
			$xtpl -> parse("main.confirm.gebruikercorrect");
		}
	}
	if ($allesgoed &&  ! $indexed)
		$xtpl->parse("main.confirm.correct");
	else
		$xtpl->parse("main.confirm.incorrect");
	
	if ($indexed)
		$xtpl -> parse("main.confirm.gebruikerindex");	
		
	$xtpl->parse("main.confirm");
} else{
	$xtpl->parse("main.formulier");	
}

//template naar browser sturen
$xtpl->parse("main");
$xtpl->out("main");
?>