<?php
//        the software is GNU licensing dependent.
//  Copyright (C) 2002,2003 Stichting schoolLAN (R), Arnhem, Netherlands

//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTLY; without even the implied warranty of
//  MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

if(($PHP_AUTH_PW) && ($PHP_AUTH_USER))
{

//lees hulpbestanden in
include_once("./../include/xtpl.p");
include_once("./../include/path.inc");
include_once("./../include/functions.inc");
include_once("./../include/refill_form_verplaatsen.inc");
include_once("./../include/error.inc");
include_once("./../include/get_users.php");
include_once("./../include/user_functions.php");

//template aanmaken
$xtpl = new XTemplate ("../template/gebruikers_verplaatsen.tpl");
$xtpl->assign("pathToFiles","../");

//template invullen
	//path goedzetten
	$path = new path();
	$path->addElementWithLink("../index.php","Hoofdmenu");
	$path->addElementWithLink("index.php","Gebruikers");
	$path->addElement("Verplaatsen");
	$xtpl -> assign("path",$path->getPath());
	$xtpl -> assign("pathWithLinks",$path->getPathWithLinks());

// Hier word de zoek functie om een gebruiker te selecteren afgehandeld, een scherm met all huidige users worden hier per groep vertoond.
if (getPostVar("user_zoeken")) {
	
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam", $gebruikersnaam);
	
	$new_groep = getPostVar('new_groep');
	$xtpl -> assign ("new_groep", $new_groep);
	
	$new_referentie = getPostVar('new_referentie');
	$xtpl -> assign ("new_referentie", $new_referentie);
	
	$aantalKolommen = 2;
	$xtpl->assign("percentage",round(100 / $aantalKolommen));
	$result_get_user = getLeerlingen(all);
	
	function cmp ($a,$b) {			// Een hulp-functie om de gebruikersnamen te sorteren.
		return strcmp($a[0],$b[0]);	// Als er $a[0],$b[0] staat dan wordt er gesorteerd op volnaam. Wil je op gebruikersnaam zoeken, dan moet je $a[1],$b[1] gebruiken.
	}

	// hier worden de zoek opties afgehandeld voor de gebruikers	
	ksort($result_get_user);
	$kolom = 0;
	while (list($key,$value) = each($result_get_user)) {	// hier gebruiken we "each" ipv. "foreach" omdat we ook de key (de waarde uit de array, dus groepx) nodig hebben en niet alleen de value.
		$xtpl->assign("groep_groepsnaam",substr($key,5,1));
		if (empty($value)){
			$xtpl->assign("naam","<i>- geen gebruikers -</i>");
			$xtpl->parse("main.zoeken.rij.groep.empty");	
		}
		else {
			usort($value,'cmp');
			foreach($value as $user) {
				$xtpl->assign("naam",$user[0]);
				$xtpl->assign("groep_gebruikersnaam","$user[1]");
				$xtpl->parse("main.zoeken.rij.groep.user.form_new_user"); 
				$xtpl->parse("main.zoeken.rij.groep.user");
			}
		}
		$xtpl->parse("main.zoeken.rij.groep");		
		$kolom ++;
		if ($kolom == $aantalKolommen) {
			$xtpl->parse("main.zoeken.rij");
			$kolom = 0;
		}
	}
	reset($result_get_user);
	
	
	// hier worden de zoek opties afgehandeld voor het team
	$users_team = getTeam();
	
	if (empty($users_team)){
		$xtpl->assign("teamlid_naam","<i>- geen leden -</i>");
		$xtpl->parse("main.zoeken.rij.team.empty");	
	}
	else{
		usort($users_team,'cmp');
		foreach ($users_team as $team_user){
			$xtpl->assign("teamlid_naam",$team_user[0]);
			$xtpl->assign("teamlid_gebruikersnaam",$team_user[1]);
			$xtpl->parse("main.zoeken.rij.team.team_leden");	
		}
	}	
	$xtpl->parse("main.zoeken.rij.team");
	$kolom ++;
	
	if ($kolom > 0) {
		for ($i = 1;$i <= $aantalKolommen - $kolom; $i++)
			$xtpl->parse("main.zoeken.rij.legecel");
		$xtpl->parse("main.zoeken.rij");
	}
	
	$xtpl->parse("main.zoeken");
	
// hier wordt de zoek functionaliteit afgehandeld om een referentie te zoeken uit een lijst
// alle gebruikers worden per groep getoond en daarvan kan er eentje geselecteerd worden om als referentie te fungeren	
} else if (getPostVar("ref_zoeken")) {
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam", $gebruikersnaam);
	
	$new_groep = getPostVar('new_groep');
	$xtpl -> assign ("new_groep", $new_groep);
	
	$new_referentie = getPostVar('new_referentie');
	$xtpl -> assign ("new_referentie", $new_referentie);
		
	$aantalKolommen = 2;
	$xtpl->assign("percentage",round(100 / $aantalKolommen));
	$result_get_user = getLeerlingen(all);
	
	function cmp ($a,$b) {			// Een hulp-functie om de gebruikersnamen te sorteren.
		return strcmp($a[0],$b[0]);	// Als er $a[0],$b[0] staat dan wordt er gesorteerd op volnaam. Wil je op gebruikersnaam zoeken, dan moet je $a[1],$b[1] gebruiken.
	}

	// toon alle gebruikers in de groepen
	ksort($result_get_user);
	$kolom = 0;
	while (list($key,$value) = each($result_get_user)) {	// hier gebruiken we "each" ipv. "foreach" omdat we ook de key (de waarde uit de array, dus groepx) nodig hebben en niet alleen de value.
		$xtpl->assign("groep_groepsnaam",substr($key,5,1));
		if (empty($value)){
			$xtpl->assign("naam","<i>- geen gebruikers -</i>");
			$xtpl->parse("main.zoeken.rij.groep.empty");	
		}
		else {
			usort($value,'cmp');
			foreach($value as $user) {
				$xtpl->assign("naam",$user[0]);
				$xtpl->assign("groep_gebruikersnaam","$user[1]");
				$xtpl->parse("main.zoeken.rij.groep.user.form_new_ref");
				$xtpl->parse("main.zoeken.rij.groep.user");
			}
		}
		$xtpl->parse("main.zoeken.rij.groep");		
		$kolom ++;
		if ($kolom == $aantalKolommen) {
			$xtpl->parse("main.zoeken.rij");
			$kolom = 0;
		}
	}
	reset($result_get_user);
	// toon alle gebruikers in het team	
	$users_team = getTeam();
	
	if (empty($users_team)){
		$xtpl->assign("teamlid_naam","<i>- geen leden -</i>");
		$xtpl->parse("main.zoeken.rij.team.empty");	
	}
	else{
		usort($users_team,'cmp');
		foreach ($users_team as $team_user){
			$xtpl->assign("teamlid_naam",$team_user[0]);
			$xtpl->assign("teamlid_gebruikersnaam",$team_user[1]);
			$xtpl->parse("main.zoeken.rij.team.team_leden");	
		}
	}	
	$xtpl->parse("main.zoeken.rij.team");
	$kolom ++;
	
	if ($kolom > 0) {
		for ($i = 1;$i <= $aantalKolommen - $kolom; $i++)
			$xtpl->parse("main.zoeken.rij.legecel");
		$xtpl->parse("main.zoeken.rij");
	}
	
	$xtpl->parse("main.zoeken");
	
// de gebruiker krijgt de mogelijkheid de ingevoerde gegevens te controleren, hier kan hij kiezen dat de gegevens incorrect zijn er terug gaan naar het voorgaande ingevulde formulier	
} else if (getPostVar("deny")) {
	RefillFormVerplaatsen();
	$xtpl->parse("main.formulier");
// de gebruiker kan de ingevoerde gegevens controleren
// als de gebruiker aan geeft dat ze kloppen, moeten de gegevens verwerkt wordenm in de correcte formaat omgezet worden voor de script en de script uitgevoerd worden
} else if (getPostVar("confirm")) {
        $gebruikersnaam = getPostVar('gebruikersnaam');	
	$nieuwe_groep = getPostVar('new_groep');
	if ("team" != $new_groep)
	  	$new_groep = "groep".$nieuwe_groep;
	$new_referentie = getPostVar('new_referentie');
	if ("Referentie van het team" == $new_referentie)
		$new_referentie = "team";
	else if (eregi("^referentie van groep",$new_referentie))
		$new_referentie = str_replace (" ","",substr($new_referentie, 15));
	
	//We voeren het script uit
	$result = mv_home($gebruikersnaam, $new_groep, $new_referentie);
		
	if ($result) {
		$foutmelding = $errors[$result];
		$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
		$xtpl -> parse("main.confirm.foutmelding.gebruiker");
		$xtpl -> assign("foutmelding",$foutmelding);
		$xtpl -> parse("main.confirm.foutmelding");
		$xtpl->parse("main.confirm.incorrect");
	}
	else{
		$xtpl -> assign("ref_leerling",$new_referentie);
		$xtpl -> assign("new_groep", $nieuwe_groep); 
		$xtpl -> assign("gebruikersnaam",$gebruikersnaam);
		$xtpl -> parse("main.confirm.gebruikercorrect");
		$xtpl->parse("main.confirm.correct");
	}
	
	$xtpl->parse("main.confirm");
	
} else if (getPostVar("submit")) {

	//check en verwerk gegevens
	$gebruikersnaam = getPostVar('gebruikersnaam');
	$xtpl -> assign ("gebruikersnaam",$gebruikersnaam);
	
	$new_groep = getPostVar('new_groep');
	$xtpl -> assign ("new_groep",$new_groep);
	
	$new_referentie = getPostVar('new_referentie');
	$xtpl -> assign ("new_referentie",$new_referentie);
			
	// Hier beginnen de controles:

	if ($new_groep == "team")	
			$referentie_groep = substr($new_referentie, 19);  // filter team uit de variabele "referentie"
		else	
			$referentie_groep = substr($new_referentie, 15);  // filter de groep uit de variabele "referentie"
				
		if ($new_groep == $referentie_groep)
			$ref_leerling = "";	// dan willen ze de standaard-referentie, dus $ref_leerling is dan leeg
		else if ("Referentie van het team" == $new_referentie)
			$ref_leerling = "groep0";
		else if (eregi("^referentie van groep",$new_referentie))
			$ref_leerling = str_replace (" ","",substr($new_referentie, 15));
		else
			$ref_leerling = $new_referentie;	// dan willen ze een speciale ref-leerling
		if ($ref_leerling == '')
			$refUserExists = true;
		else
			$refUserExists = isUser($ref_leerling); 

	$new_groep = "groep".$new_groep;  // Dit om ervoor te zorgen dat de variabele niet "x" is, maar "groepx". Dit heeft het script nl. nodig, maar "groep x" is voor het printen op het scherm.
	
	// Controleer of het "Gebruikersnaam-veld" of "new_referentie-veld" leeg is of de gebruiker wel bestaat:
	if(empty($gebruikersnaam)||empty($new_referentie) || ! ($refUserExists) || !isUser($gebruikersnaam)){
		if(empty($gebruikersnaam)){
			$leegveld = "gebuikersnaam";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");
		}
		if(empty($new_referentie)){
			$leegveld = "nieuwe referentie";
			$xtpl -> assign ("leegveld",$leegveld);
			$xtpl->parse("main.formulier.fout.invoerveldleegfout");	
		}
		if(! isUser($gebruikersnaam)){
			$gebruiker = "gebruiker";
			$xtpl->parse("main.formulier.fout.gebruikerbestaatniet");
		}
		if(! $refUserExists){
			echo ">".$refUserExists;
			echo ">".$ref_leerling;
			echo ">>>".isUser($ref_leerling);
			$xtpl->parse("main.formulier.fout.refuserfout");		
		}
		
		$xtpl->parse("main.formulier.fout");
		RefillFormVerplaatsen();
		$xtpl->parse("main.formulier");
	}
	else{	
		// Als alles klopt, dan kan het "bevestigingsformulier" getoond worden:	
		$xtpl->parse("main.verwerk");
	}
} else {
	//toon formulier
	RefillFormVerplaatsen();
	$xtpl->parse("main.formulier");
}
	
//template naar browser sturen
$xtpl->parse("main");
$xtpl->out("main");
}
?>
