<!-- include/path.inc -->
<?
//        the software is GNU licensing dependent.
//  Copyright (C) 2002,2003 Stichting schoolLAN (R), Arnhem, Netherlands

//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTLY; without even the implied warranty of
//  MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/*
 * Deze klasse verzorgt de afhandeling van de path-links op het scherm
 *
 * met enkele simpele functies kan het path worden ingesteld en opgevraagd
 */
class path {

	var $path = '';
	
	// voegt een element toe aan het path, zonder link
	// dit zal dus normaal gesproken de huidige pagina zijn aangezien hier geen link naartoe hoeft te zijn
	function addElement ($text) {
		//voeg een - toe als er al iets in path stond
		if ($this->path != "") {
			$this->path .= " - ";
		}
		
		$this->path .= "$text";
	}

	// voegt een element toe aan het path met een link
	function addElementWithLink ($url, $text) {
		//voeg een - toe als er al iets in path stond
		if ($this->path != "") {
			$this->path .= " - ";
		}
		
		$this->path .= "<a class=\"header\" href=\"$url\">$text</a>";
	}
	
	// vraagt het path op met de links erin
	function getPathWithLinks () {
		return $this->path;
	}
	
	//vraagt het path op waarbij de links eruit worden gestript
	function getPath () {
		return strip_tags($this->path);
	}
}
?>
