<?php
//        the software is GNU licensing dependent.
//  Copyright (C) 2002,2003 Stichting schoolLAN (R), Arnhem, Netherlands

//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTLY; without even the implied warranty of
//  MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/*Include de standaard functies*/
include_once ("./../include/functions.inc");

$createuserresult = '';

function getCreatedUsername () {
	global $createuserresult;	
	
	preg_match("|^(.*):|iU",$createuserresult[count($createuserresult)-1],$matches);
	$lastusername = $matches[1];
	
	preg_match("|^(.*)([0-9]*)$|U",$lastusername,$test);

	if ($test[0] != '')
		$test[2] ++;
	
	$user = $test[1].$test[2];
	return $user;
}

function CreateUser ($ref_leerling,$username,$groep,$volnaam,$password) {
/*
 * Deze functie creert een nieuwe user op het schoollan-systeem
 *
 * Returned 0 bij succes en errorcode i anders. Errorcode i te vinden in error.inc
 */

   if ($username=="") {
   	return 1;
   	exit;	
   }
   if ($groep=="") {
   	return 2;
   	exit;	
   }
   if ($volnaam=="") {
   	return 3;
   	exit;	
   }
   if ($password=="") {
   	return 4;
   	exit;
   }
   
   if ($ref_leerling!="")
     $ref_leerling = "ref ".$ref_leerling; 
       
   //Voer het script uit op de server, als root
  
   exec ("sudo /usr/local/sbin/create_home new $ref_leerling $username $groep \"$volnaam\" \"$password\"",   
         $result,$returnvar);
   
   global $createuserresult;
   $createuserresult = $result;
   
   if ($returnvar) {
   	//De functie was niet succesvol, hij returnde 1
   	return 5;   	
   } else {
   	return 0;
   }
   exit;   
}/*CreateUser*/ 


function RemoveUser ($username) {
/*
 * Deze functie verwijdert een user van het schoollan-systeem
 *
 * Returned 0 bij succes en errorcode i anders. Errorcode i te vinden in error.inc
 */

   if ($username=="") {
   	return 1;
   	exit;	
   }
      
   //Voer het script uit op de server, als root
   exec ("sudo /usr/local/sbin/del_home $username",   
         $result,$returnvar);
   
   if ($returnvar) {
   	/*
   	 *De functie was niet succesvol, hij returnde 1. Del_home geeft alleen
   	 *de foutmelding "cannot find user", dus dat kan nu ook gereturned worden
   	 */
   	return 6;   	
   } else {
   	return 0;
   }
   exit;   
}/*RemoveUser*/ 


function mv_home($username, $new_groep, $ref_leerling) {

/*
 * Deze functie verplaatst een gebruiker van het SchoolLAN systeem naar een andere groep
 *
 * Returned 0 bij succes en errorcode i anders. Errorcode i te vinden in error.inc
 *
 * Ref_leerling kan een lege string zijn.
 */
 
  if ($ref_leerling !="")
    $ref_leerling = "ref ".$ref_leerling;

   if ($username=="") {
   	return 1;
   	exit;	
   }
   
   
   //Voer het script uit op de server, als root
   exec ("sudo /usr/local/sbin/mv_home $username $new_groep $ref_leerling",$result,$returnvar);

   if ($returnvar) {   	
   	/*
   	 *De functie was niet succesvol, hij returnde 1. 
   	 */
   	return 7;   	
   } else {
   	return 0;
   }
   exit;   
   	
   
	
}/*mv_home*/
?>
