<!-- BEGIN: main -->
{FILE "../template/header.tpl"}
<h1>Gebruikers aanmaken</h1>

<!-- BEGIN: formulier -->
<hr class="grey">

Hieronder kan een bestand worden geselecteerd met daarin de 
gegevens van de gebruikers die aangemaakt moeten worden.<br><br>
Het bestand moet er als volgt uitzien:
<ul>
	<li>Eerste regel(letterlijk): gebruikersnaam,naam,wachtwoord,groep,referentie
	<li>Verder op elke volgende regel een gebruiker, in het volgende formaat:<br>
		gebruikersnaam,naam,wachtwoord,groep,referentie
</ul>
Een voorbeeld is:
<pre>
gebruikersnaam,naam,wachtwoord,groep,referentie
rmichels,Rinus Michels,geheim,groep6,
mvbasten,Marco van Basten,geheim,groep7,dos
berry,Berry van Aerle,schitter,team,
</pre>

<hr>
<!-- BEGIN: fout -->

<table>
<tr>
	<td><img name="alert" src=./../afbeeldingen/alert.gif></td>
	<td>

<!-- BEGIN: batchfout -->
<p class="fout">{fout}</p>
	</td>
</tr>
</table>
<!-- END: batchfout -->
<!-- END: fout -->
<br>
Selecteer een bestand:
<form enctype="multipart/form-data" action="aanmaken_batch.php" method="POST">
<input type="file" size="50" name="batchfile">
<input type="hidden" name="MAX_FILE_SIZE" value="2048000">
<br>
<input type="submit" name="submit" value="Gebruikers toevoegen">
</form>
<!-- END: formulier -->

<!-- BEGIN: submit -->
<form action="aanmaken_batch.php" method="POST">
U heeft aangegeven de volgende gebruikers aan te willen maken:<br><br>
<table width="90%">
	<tr>
		<th class="border">Naam</th>
		<th class="border">Gebruikersnaam</th>
		<th class="border">Wachtwoord</th>
		<th class="border">Groep</th>
		<th class="border">Referentie</th>
	</tr>
	
	<!-- BEGIN: gebruiker -->
	<tr>
		<td>&nbsp;
		<!-- BEGIN: naamfout1-->
		<span class="fout">
		<!-- END: naamfout1 -->
		{naam}
		<!-- BEGIN: naamfout2-->
		</span><img name="alert_klein" src=./../afbeeldingen/alert_empty.gif alt="Het naam-veld mag niet leeg zijn">
		<!-- END: naamfout2 -->
		</td>
		
		<td>&nbsp;
		<!-- BEGIN: gebruikersnaamleegfout1-->
		<span class="fout">
		<!-- END: gebruikersnaamleegfout1 -->
		<!-- BEGIN: gebruikersnaamfoutteken1-->
		<span class="fout">
		<!-- END: gebruikersnaamfoutteken1 -->
		{gebruikersnaam}
		<!-- BEGIN: gebruikersnaamleegfout2-->
		</span><img name="alert_klein" src=./../afbeeldingen/alert_empty.gif alt="Het gebruikersnaam-veld mag niet leeg zijn!">
		<!-- END: gebruikersnaamleegfout2 -->
		<!-- BEGIN: gebruikersnaamfoutteken2-->
		</span><img name="alert_klein" src=./../afbeeldingen/alert_empty.gif alt="Het gebruikersnaam-veld bevat ongeldige tekens (spaties en !@#$%^&*() zijn niet toegestaan)">
		<!-- END: gebruikersnaamfoutteken2 -->
		</td>
		
		<td>&nbsp;
		<!-- BEGIN: wachtwoordfout1 -->
		<span class="fout">
		<!-- END: wachtwoordfout1 -->
		{wachtwoord}
		<!-- BEGIN: wachtwoordfout2 -->
		</span><img name="alert_klein" src=./../afbeeldingen/alert_wachtoordlengte.gif alt="Het wachtwoord moet tussen de 6 en de 8 tekens hebben!">
		<!-- END: wachtwoordfout2 -->
		</td>
				
		<td>&nbsp;
		<!-- BEGIN: groepfout1 -->
		<span class="fout">
		<!-- END: groepfout1 -->
		{groep}
		<!-- BEGIN: groepfout2 -->
		</span><img name="alert_klein" src=./../afbeeldingen/alert_groep.gif alt="Dit is geen geldige groep!">
		<!-- END: groepfout2 -->
		</td>
		
		<td>&nbsp;
		<!-- BEGIN: referentiefout1-->
		<span class="fout">
		<!-- END: referentiefout1 -->
		{referentie}
		<!-- BEGIN: referentiefout2-->
		</span><img name="alert_klein" src=./../afbeeldingen/alert_referentiefout.gif alt="Dit is geen geldige referentie">
		<!-- END: referentiefout2 -->
		</td>
	</tr>
	<!-- END: gebruiker -->
	<tr>
		<td colspan="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="5">Weet U het zeker?<td>
	</tr>
	<tr>
		<td colspan="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="5"><input type="submit" name="deny" value="Nee" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		    <input type="submit" name="confirm" value="  Ja  "></td>
	</tr>
</table>
<!-- BEGIN: hidden_gebruikerdata -->
<input type='hidden' name='gebruikersnaam[]' value='{gebruikersnaam}'>
<input type='hidden' name='naam[]' value='{naam}'>
<input type='hidden' name='wachtwoord[]' value='{wachtwoord}'>
<input type='hidden' name='groep[]' value='{groep}'>
<input type='hidden' name='referentie[]' value='{referentie}'>
<!-- END: hidden_gebruikerdata -->
</form>
<!-- END: submit -->

<!-- BEGIN: confirm -->
<hr>

<!-- BEGIN: gebruikercorrect -->
<p class="succes">De gebruiker '{gebruikersnaam}' is met succes aangemaakt.</p>
<!-- END: gebruikercorrect -->

<!-- BEGIN: foutmelding -->
<p class="fout">De volgende fout is opgetreden <!-- BEGIN: gebruiker --> bij aanmaken van gebruiker '{gebruikersnaam}'<!-- END: gebruiker -->:<br></p>
<p>&nbsp;&nbsp;&nbsp;{foutmelding}</p>
<hr>
<!-- END: foutmelding -->

<!-- BEGIN: gebruikerindex -->
<p class="fout">Let op: aangezien sommige gebruikersnamen reeds in gebruik waren, is er bij sommige namen
een index-cijfer aan toegevoegd.</p>
<!-- END: gebruikerindex -->

<!-- BEGIN: incorrect -->
Klik <a href="aanmaken_batch.php">hier</a> om terug te gaan naar de "Gebruikers aanmaken (bestand)"-pagina.
<!-- END: incorrect -->

<!-- BEGIN: correct -->
De door U ingevoerde gegevens zijn verwerkt.<br>
U wordt binnen enkele seconden doorgestuurd naar het "Gebruikers aanmaken (bestand)"-scherm.
<script language="javascript">
setTimeout('document.location = "aanmaken_batch.php"', 10000);
</script>
<!-- END: correct -->

<!-- END: confirm -->

{FILE "../template/footer.tpl"}
<!-- END: main -->
